//---------------------------------------------------------------------------

#ifndef TeachingClock0H
#define TeachingClock0H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <jpeg.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TImage *Image1;
        TOpenDialog *OpenDialog1;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Load1;
        TMenuItem *N1;
        TMenuItem *Exit1;
        TFontDialog *FontDialog1;
        TTimer *Timer1;
        TImage *Image2;
        TMenuItem *ClockFont1;
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TCheckBox *chkBoxImage;
        TCheckBox *chkBoxTick;
        TBitBtn *bitnStartTimer;
        TEdit *edHour;
        TEdit *edMin;
        TUpDown *udHour;
        TUpDown *udMin;
        TLabel *Label2;
        TLabel *Label3;
        TBitBtn *bitnSetTime;
        TBitBtn *bitnReadClock;
        TComboBox *ComboBox1;
        TBitBtn *bitnTest;
        TBevel *Bevel1;
        TPanel *pnlTuningClock;
        TLabel *Label4;
        TMenuItem *Show1;
        TMenuItem *Clock1;
        TMenuItem *All1;
        TMenuItem *N2;
        TMenuItem *SmallClock1;
        TLabel *lbResult;
        TMenuItem *SecondHand1;
        TMenuItem *N24Hours1;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall Load1Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall bitnStartTimerClick(TObject *Sender);
        void __fastcall ClockFont1Click(TObject *Sender);
        void __fastcall bitnSetTimeClick(TObject *Sender);
        void __fastcall bitnReadClockClick(TObject *Sender);
        void __fastcall ComboBox1Change(TObject *Sender);
        void __fastcall bitnTestClick(TObject *Sender);
        void __fastcall pnlTuningClockMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall pnlTuningClockMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall pnlTuningClockMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall FormPaint(TObject *Sender);
        void __fastcall Clock1Click(TObject *Sender);
        void __fastcall All1Click(TObject *Sender);
        void __fastcall SmallClock1Click(TObject *Sender);
        void __fastcall SecondHand1Click(TObject *Sender);
        void __fastcall N24Hours1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        void setSwitch();
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
